#
# spec file for package libol (Version 0.3.16)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libol
Version:        0.3.16
Release:        14.2
License:        GPL
Group:          System/Libraries
Autoreqprov:    on
Summary:        Support Library for syslog-ng
URL:            http://www.balabit.com/products/syslog_ng/
Source0:        http://www.balabit.com/downloads/libol/0.3/%{name}-%{version}.tar.gz
Source1:        http://www.balabit.com/downloads/libol/0.3/%{name}-%{version}.tar.gz.asc
Patch0:         %{name}-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Support library for syslog-ng.



Authors:
--------
    Niels Mller
    BalaBit IT Ltd. <info@balabit.hu>

%debug_package
%package devel
Summary:        Support library for syslog-ng - developer package
Group:          System/Libraries
Requires:       %{name} = %{version}
Provides:       libol-config

%description devel
Support library for syslog-ng - files needed for compilations



Authors:
--------
    Niels Mller
    BalaBit IT Ltd. <info@balabit.hu>

%prep
%setup
%patch0 -p0
%{?suse_update_config:%{suse_update_config}}

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
./autogen.sh \
	--prefix=/usr --sbindir=/sbin --mandir=%{_mandir} \
	--sysconfdir=/etc --localstatedir=/var/run --libdir=%_libdir \
	--disable-debug
make clean
make CFLAGS="$CFLAGS"

%install
export RPM_BUILD_ROOT
make -e DESTDIR=$RPM_BUILD_ROOT install
# don't provide, since it requires scsh/scheme48
# required to generate ol-class interfaces only:
rm -f ${RPM_BUILD_ROOT}/usr/bin/make_class

%post
%{run_ldconfig}

%files
%defattr(-,root,root)
%doc ChangeLog
%_libdir/libol-%{version}.so

%files devel
%defattr(-,root,root)
/usr/bin/libol-config
/usr/include/libol
%_libdir/libol.a
%_libdir/libol.la
%_libdir/libol.so

%changelog -n libol
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 10 2005 - schwab@suse.de
- Disable DEBUG_ALLOC [#131764].
* Mon Jul 25 2005 - mt@suse.de
- updated to version 0.3.16 as required by syslog-ng-1.6.8
* Thu Jun 23 2005 - ro@suse.de
- build with fPIC and really use optflags
* Tue Aug 31 2004 - mt@suse.de
- updated to version 0.3.14 as required by syslog-ng-1.6.5
* Wed Feb 11 2004 - mt@suse.de
- updated to version 0.3.13
- added norootforbuild flag
* Tue Aug 26 2003 - mt@suse.de
- updated to version 0.3.10 required by syslog-ng-1.6
- changed to use libol-0.3.10.so (libtool -release)
  naming scheme, instead of broken 0.0.0 versions...
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Jun 12 2002 - ro@suse.de
- fix build on ppc64
* Thu Apr 25 2002 - coolo@suse.de
- use %%_libdir
* Fri Jul 20 2001 - mt@suse.de
- updated to version 0.2.23
* Thu May 03 2001 - mt@suse.de
- added suse_update_config macro in spec
* Wed Mar 14 2001 - mt@suse.de
- new package, version 0.2.21
